/*
 * ERIKA Enterprise Basic - a tiny RTOS for small microcontrollers
 *
 * Copyright (C) 2002-2007  Evidence Srl
 *
 * This file is part of ERIKA Enterprise Basic.
 *
 * ERIKA Enterprise Basic is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General Public License
 * version 2 as published by the Free Software Foundation.
 *
 * ERIKA Enterprise Basic is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License version 2 for more details.
 *
 * You should have received a copy of the GNU General Public License
 * version 2 along with ERIKA Enterprise Basic; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301 USA.
 */

/*
 * Author: Gianluca Franchino.
 * Affiliation: Retis Lab. Scuola Superiore Sant'Anna. Pisa (Italy).
 * Contacts: g.franchino@sssup.it; gianluca@evidence.eu.com
 * Date: 02/27/2008.
 * 
 */

#ifndef _CODE_H_
#define _CODE_H_

#include "hal.h"
#include "ee_console.h"
#include "radio_spi.h"

#define USE_CSMA

#define CONSOLE_PORT UART1

#define BAUDRATE 115200

#define BUFFER_SIZE 256  

BYTE rx_buffer[BUFFER_SIZE], radio_msg[128];


BYTE msg[]={'H','e','l','l','o',' ','f','r','o','m',
			' ','t','h','e', ' ', 'E', 'R', 'I', 'K', 
			 'A',' ', 'K', 'e', 'r', 'n', 'e', 'l','!'};

EE_UINT16 rx_write_index, rx_read_index;


#endif
